 <?php
 $action=$_GET[action];
 

if($action=='edit'){
 require ('../e/class/connect.php');
 require ('../e/class/db_sql.php');
 require ('../e/class/functions.php');
 $link=db_connect();
 $empire=new mysqlquery;
 $add=$_POST;

$query="update {$dbtbpre}movie_config set d_exp='$add[d_exp]',f_exp='$add[f_exp]',r_exp='$add[r_exp]',t_exp='$add[t_exp]',movietype='$add[movietype]',movietypecn='$add[movietypecn]',playhtmldir='$add[playhtmldir]',playtemp1='$add[playtemp1]',playtemp2='$add[playtemp2]',thismovielisthtml='$add[thismovielisthtml]'
,movielisttemp='$add[movielisttemp]',bdhddownurl='$add[bdhddownurl]',qvoddownurl='$add[qvoddownurl]',bdhdstr='$add[bdhdstr]',qvodstr='$add[qvodstr]',videostr='$add[videostr]',repagenum='$add[repagenum]',repagestartnum='$add[repagestartnum]',repageendnum='$add[repageendnum]',isfenhtml='$add[isfenhtml]',playtemp3='$add[playtemp3]',videohtmldir='$add[videohtmldir]' where id=1 limit 1";
$upsql=$empire->query($query);

if($upsql){
	$query2="select * from {$dbtbpre}movie_config where id=1 limit 1";
	$r=$empire->fetch1($query2);
	set_movieconfig($r);	
	
	printerror2("更新电影设置成功！","setmovieconfig.php?action=edit");
}
else{
	printerror2("更新电影设置失败！SQL错误");
}
 $empire=NULL;
 db_close();

 
}
function set_movieconfig($r){
$path=ECMS_PATH.'plus/movie_config_temp.php';
$string=file_get_contents($path);
$string=str_replace('[!--r_exp--]',$r[r_exp],$string);
$string=str_replace('[!--d_exp--]',$r[d_exp],$string);
$string=str_replace('[!--f_exp--]',$r[f_exp],$string);
$string=str_replace('[!--t_exp--]',$r[t_exp],$string);
$string=str_replace('[!--movietype--]',$r[movietype],$string);
$string=str_replace('[!--movietypecn--]',$r[movietypecn],$string);
$string=str_replace('[!--playhtmldir--]',$r[playhtmldir],$string);
$string=str_replace('[!--playtemp1--]',$r[playtemp1],$string);
$string=str_replace('[!--playtemp2--]',$r[playtemp2],$string);
$string=str_replace('[!--playtemp3--]',$r[playtemp3],$string);
$string=str_replace('[!--thismovielisthtml--]',$r[thismovielisthtml],$string);
$string=str_replace('[!--movielisttemp--]',$r[movielisttemp],$string);
$string=str_replace('[!--bdhddownurl--]',$r[bdhddownurl],$string);
$string=str_replace('[!--qvoddownurl--]',$r[qvoddownurl],$string);
$string=str_replace('[!--bdhdstr--]',$r[bdhdstr],$string);
$string=str_replace('[!--qvodstr--]',$r[qvodstr],$string);
$string=str_replace('[!--videostr--]',$r[videostr],$string);
$string=str_replace('[!--repagenum--]',$r[repagenum],$string);
$string=str_replace('[!--repagestartnum--]',$r[repagestartnum],$string);
$string=str_replace('[!--repageendnum--]',$r[repageendnum],$string);
$string=str_replace('[!--isfenhtml--]',$r[isfenhtml],$string);
$string=str_replace('[!--videohtmldir--]',$r[videohtmldir],$string);
$file=ECMS_PATH.'e/class/movie_config.php';
WriteFiletext($file,$string);

}
?>